Index: trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp	(revision 174)
+++ trunk/VUT/Ogre/src/OgreSceneNodeHierarchyInterface.cpp	(revision 345)
@@ -62,5 +62,5 @@
 }
 //-----------------------------------------------------------------------
-void SceneNodeHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node)
+void SceneNodeHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -81,5 +81,5 @@
 //-----------------------------------------------------------------------
 void SceneNodeHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
-												 const bool visible)
+												 const bool visible) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -90,5 +90,5 @@
 //-----------------------------------------------------------------------
 void SceneNodeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
-												 const unsigned int frameId)
+												 const unsigned int frameId) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -131,5 +131,5 @@
 //-----------------------------------------------------------------------
 void SceneNodeHierarchyInterface::VisualizeCulledNode(GtpVisibility::HierarchyNode *node, 
-													  GtpVisibility::CullingType type)
+													  GtpVisibility::CullingType type) const
 {
 	// TODO
Index: trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp	(revision 343)
+++ trunk/VUT/Ogre/src/OgreOctreeHierarchyInterface.cpp	(revision 345)
@@ -33,7 +33,9 @@
 			Octree *nextChild = 
 				octree->mChildren[(i & 4) >> 2][(i & 2) >> 1][i & 1];
-
+			
 			if (nextChild)
 			{
+					std::stringstream d2; d2 << "pushing node " << nextChild;
+					Ogre::LogManager::getSingleton().logMessage(d2.str());
 				mDistanceQueue->push(nextChild);
 			}
@@ -57,11 +59,11 @@
 {
 	AxisAlignedBox *box = &static_cast<Octree *>(node)->mBox;
-	Vector3 mid = ((box->getMaximum() - box->getMinimum()) * 0.5) + box->getMinimum();
-
-	return (mCullCamera->getDerivedPosition() - mid).squaredLength();
+	Vector3 pos = ((box->getMaximum() - box->getMinimum()) * 0.5) + box->getMinimum();
+	
+	return (mCullCamera->getDerivedPosition() - pos).squaredLength();
 }
 //-----------------------------------------------------------------------
 void OctreeHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
-											  const bool visible)
+											  const bool visible) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -71,5 +73,5 @@
 //-----------------------------------------------------------------------
 void OctreeHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
-											  const unsigned int frameId)
+											  const unsigned int frameId) const
 {
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -78,5 +80,5 @@
 }
 //-----------------------------------------------------------------------
-void OctreeHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node)
+void OctreeHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node) const
 {		
 #ifdef GTP_VISIBILITY_MODIFIED_OGRE
@@ -140,5 +142,5 @@
 //-----------------------------------------------------------------------
 void OctreeHierarchyInterface::VisualizeCulledNode(GtpVisibility::HierarchyNode *node, 
-												   GtpVisibility::CullingType type)
+												   GtpVisibility::CullingType type) const
 {
 	WireBoundingBox *box = static_cast<Octree *>(node)->getWireBoundingBox();
Index: trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp
===================================================================
--- trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp	(revision 158)
+++ trunk/VUT/Ogre/src/OgreBspHierarchyInterface.cpp	(revision 345)
@@ -32,14 +32,14 @@
 //-----------------------------------------------------------------------
 void BspHierarchyInterface::SetNodeVisible(GtpVisibility::HierarchyNode *node, 
-										   const bool visible)
+										   const bool visible) const
 {
 }
 //-----------------------------------------------------------------------
 void BspHierarchyInterface::SetLastVisited(GtpVisibility::HierarchyNode *node, 
-										   const unsigned int frameId)
+										   const unsigned int frameId) const
 {
 }
 //-----------------------------------------------------------------------
-void BspHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node)
+void BspHierarchyInterface::PullUpVisibility(GtpVisibility::HierarchyNode *node) const
 {		
 }
